Subject: bug#32404: closed (Re: bug#32404: Format fails to copy text properties from the format-string for adjacent %-sequences)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 Aug 2018 05:40:04 +0000

Your bug report

#32404: Format fails to copy text properties from the format-string for adjacent %-sequences

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32404: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32404: Format fails to copy text properties from the format-string for adjacent %-sequences
From: Eli Zaretskii <[email-masked]>
To: Andrea Cardaci <[email-masked]>
Cc: [email-masked]
Date: Fri, 10 Aug 2018 08:39:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Andrea Cardaci <[email-masked]>
> Date: Thu, 9 Aug 2018 22:25:26 +0200
> Cc: [email-masked]
> 
> > Thanks, I believe I fixed this on the emacs-26 branch.
> 
> Yes, I just tried and it seems to work. Thank you so much for the
> prompt response and fix.

Thanks for verifying, I'm therefore closing this bug.

Subject: Format fails to copy text properties from the format-string for adjacent %-sequences
From: Andrea Cardaci <[email-masked]>
To: [email-masked]
Date: Thu, 9 Aug 2018 02:30:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Basically what the title says, take a look at this example:

(format (concat (propertize "%s" 'face 'bold)
                "" ; any non-empty string works
                (propertize "%s" 'face 'error))
        "foo" "bar")
#("foobar" 0 6 (face bold))

This has also been described at https://emacs.stackexchange.com/q/43960/13744

Andrea